<div class="asignacion__asuntos relative" style="overflow: hidden">
  
  <p-orderList [value]="data"
    [listStyle]="{'max-height':'30rem'}" header="Lista de Usuarios con asignación de asuntos"
    filterPlaceholder="Buscar por nombre de secretaria(o)" filterBy="nombre" [dragdrop]="false">
    <ng-template let-user pTemplate="item">
      <div class="row">
        <div class="col-9">
          <p>{{ user.nombre }}</p>
        </div>
        <div class="col-1">
          <span>{{user | countAsuntos}}</span>
        </div>
        <div class="col-2">
          <div class="d-flex justify-content-around align-items-center options-list">
            <i class="pi pi-eye c-edit" pTooltip="De clic para ver asuntos" tooltipPosition="left" (click)="viewAsuntos(user.modulos)"></i>
            <a [routerLink]="['edicion',user.id]">
              <i class="pi pi-pencil"></i>
            </a>
          </div>
        </div>
      </div>
    </ng-template>
  </p-orderList>
  <div class="list-asignacion shadow" id ="asig">
    <div class="d-flex justify-content-end">
      <i class="pi pi-times" (click)="close()"></i>
    </div>
    <div class="list-asignacion__taqui">
      <p>Lista de asuntos en módulo versiones taquigráficas:</p>
      <p class="pl-2" *ngFor="let asunto of asuntos.taqui; let i = index;">
        {{ (i+1) + '. ' +asunto}}
      </p>
    </div>
    <hr>
    <div class="list-asignacion__sentencia">
      <p>Lista de asuntos en módulo sentencias:</p>
      <p class="pl-2" *ngFor="let asunto of asuntos.sentencia; let i = index;">
        {{ (i+1) + '. ' +asunto}}
      </p>
    </div>
    <hr>
  </div>
</div>
